### Method

# Gimp Curve get_point

since: 3.2

#### Declaration [src]

    void
    gimp_curve_get_point (
      GimpCurve* curve,
      gint point,
      gdouble* x,
      gdouble* y
    )

#### Description [src]

Gets the `point` coordinates for a `GIMP_CURVE_SMOOTH` `curve`.

The `point` identifier must be between 0 and the value returned by `gimp_curve_get_n_points()`.

You may also use a point identifier as returned by `gimp_curve_add_point()`, which will correspond to the same point, unless you modified the `curve` since (e.g. by calling `gimp_curve_add_point` again, or by deleting or modifying a point).

Available since: 3.2

#### Parameters

`point`

  Type: `gint`

  A point identifier.

`x`

  Type: `gdouble*`

  The point abscissa on a `[0.0, 1.0]` range.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`y`

  Type: `gdouble*`

  The point ordinate on a `[0.0, 1.0]` range.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.